%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-GDGraph
Version:        1.54
Release:        1%{?dist}
Epoch:          1
Summary:        Graph generation package for Perl

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/GDGraph/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RU/RUZ/GDGraph-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(GD) >= 1.18
BuildRequires:  perl(GD::Text) >= 0.80
BuildRequires:  perl(GD::Text::Align)
# Tests
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Data::Dumper)
Requires:       perl(GD) >= 1.18
Requires:       perl(GD::Text) >= 0.80

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(GD\\)

%description
%{summary}.


%prep
%setup -q -n GDGraph-%{version}
%{__perl} -pi -e 's{^#!/usr/local/bin/perl\b}{#!%{__perl}}' samples/sample1A.pl
%{__perl} -pi -e 's/\r\n/\n/' samples/sample64.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES README samples/
%{perl_vendorlib}/GD/
%{_mandir}/man3/*.3pm*


%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 1:1.54-1
- Update to 1.54

* Thu Mar 17 2016 momo-i <webmaster@momo-i.org> - 1:1.52-1
- Update to 1.52

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1:1.49-20
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1:1.49-19
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1:1.49-18
- Rebuilt for fc22
- Update to 1.49

* Tue Jan 28 2014 momo-i <webmaster@momo-i.org> - 1:1.48-17
- Update to 1.48
